POST api/PendingCancellation/Insert
Insert/Update Pending Cancellations.
Request Information
URI Parameters
None.
Body Parameters
PendingCancellationRecord| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| To | date |
Required |
|
| ChangeDate | date |
None. |
|
| CreateDate | date |
None. |
|
| SendReminders | boolean |
Required |
|
| SendRemindersPriorDays | integer |
Required |
|
| Description | string |
None. |
|
| PolicyDatabaseId | globally unique identifier |
Required |
|
| PolicyNumber | string |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| InsuredCommercialName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"databaseId": "a67a0fd8-0435-4e1d-97fc-af561de19e0d",
"to": "2026-02-28T09:40:32.0812586-06:00",
"changeDate": "2026-02-28T09:40:32.0812586-06:00",
"createDate": "2026-02-28T09:40:32.0812586-06:00",
"sendReminders": true,
"sendRemindersPriorDays": 6,
"description": "sample string 7",
"policyDatabaseId": "a2bb8def-762d-4929-82cc-7c335056a469",
"policyNumber": "sample string 9",
"insuredEmail": "sample string 10",
"insuredFirstName": "sample string 11",
"insuredLastName": "sample string 12",
"insuredCommercialName": "sample string 13",
"insuredDatabaseId": "63b29b8d-b631-4140-8d32-01ea5a9c585b"
}
application/xml, text/xml
Sample:
<PendingCancellationRecord xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <ChangeDate>2026-02-28T09:40:32.0812586-06:00</ChangeDate> <CreateDate>2026-02-28T09:40:32.0812586-06:00</CreateDate> <DatabaseId>a67a0fd8-0435-4e1d-97fc-af561de19e0d</DatabaseId> <Description>sample string 7</Description> <InsuredCommercialName>sample string 13</InsuredCommercialName> <InsuredDatabaseId>63b29b8d-b631-4140-8d32-01ea5a9c585b</InsuredDatabaseId> <InsuredEmail>sample string 10</InsuredEmail> <InsuredFirstName>sample string 11</InsuredFirstName> <InsuredLastName>sample string 12</InsuredLastName> <PolicyDatabaseId>a2bb8def-762d-4929-82cc-7c335056a469</PolicyDatabaseId> <PolicyNumber>sample string 9</PolicyNumber> <SendReminders>true</SendReminders> <SendRemindersPriorDays>6</SendRemindersPriorDays> <To>2026-02-28T09:40:32.0812586-06:00</To> </PendingCancellationRecord>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithInsuredAndPolicyId| Name | Description | Type | Additional information |
|---|---|---|---|
| PolicyOrQuoteId | globally unique identifier |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"policyOrQuoteId": "aaf40682-8cc2-40bd-9a20-ed311df5813c",
"insuredDatabaseId": "dd5bc79d-ee96-40c3-a578-8a9182bd85eb",
"databaseId": "1f72b392-27f7-4f17-b6da-5d3f56a2f5b6",
"status": 0,
"message": "sample string 3"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithInsuredAndPolicyId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 3</Message> <Status>Error</Status> <DatabaseId>1f72b392-27f7-4f17-b6da-5d3f56a2f5b6</DatabaseId> <InsuredDatabaseId>dd5bc79d-ee96-40c3-a578-8a9182bd85eb</InsuredDatabaseId> <PolicyOrQuoteId>aaf40682-8cc2-40bd-9a20-ed311df5813c</PolicyOrQuoteId> </NowCertsApiResultWithInsuredAndPolicyId>